=== icons/CMakeLists.txt ===
if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    install(FILES 16x16/apps/flightgear.png DESTINATION share/icons/hicolor/16x16/apps)
    install(FILES 22x22/apps/flightgear.png DESTINATION share/icons/hicolor/22x22/apps)
    install(FILES 24x24/apps/flightgear.png DESTINATION share/icons/hicolor/24x24/apps)
    install(FILES 32x32/apps/flightgear.png DESTINATION share/icons/hicolor/32x32/apps)
    install(FILES 48x48/apps/flightgear.png DESTINATION share/icons/hicolor/48x48/apps)
    install(FILES 64x64/apps/flightgear.png DESTINATION share/icons/hicolor/64x64/apps)
    install(FILES 128x128/apps/flightgear.png DESTINATION share/icons/hicolor/128x128/apps)
    install(FILES scalable/apps/flightgear.svg DESTINATION share/icons/hicolor/scalable/apps)
endif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
