=== man/it/CMakeLists.txt ===
add_subdirectory(man1)
add_subdirectory(man5)
