=== man/man5/CMakeLists.txt ===
include(GNUInstallDirs)
install(FILES fgfsrc.5 DESTINATION ${CMAKE_INSTALL_MANDIR}/man5
        COMPONENT doc)
