=== debian/changelog ===
flightgear (1:2020.3.6+dfsg-1build1) jammy; urgency=medium

  * No-change rebuild against Qt 5.15.3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 17 Mar 2022 18:36:14 +0300

flightgear (1:2020.3.6+dfsg-1) unstable; urgency=medium

  * New upstream release 2020.3.6+dfsg
  * Refresh patch spelling_20160206.patch
  * Adjust dependencies on data packages

 -- Markus Wanner <markus@bluegap.ch>  Sat, 13 Feb 2021 22:18:23 +0100

flightgear (1:2020.3.5+dfsg-1) unstable; urgency=medium

  * New upstream release 2020.3.5+dfsg
  * Add patch 0011-test-compilation-fix.patch.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 28 Dec 2020 09:46:49 +0100

flightgear (1:2020.3.4+dfsg-1) unstable; urgency=medium

  * New upstream version 2020.3.4+dfsg
    - Refresh patches
  * Update Standards-Version to 4.5.1, no changes needed
  * Update versioned Build-Dependencies to new data packages

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 08 Dec 2020 23:44:10 +0100
