## flightgear 2020.3.16%2Bdfsg

=== src/Traffic/CMakeLists.txt ===
include(FlightGearComponent)

set(SOURCES
	SchedFlight.cxx
	Schedule.cxx
	TrafficMgr.cxx
	)

set(HEADERS
	SchedFlight.hxx
	Schedule.hxx
	TrafficMgr.hxx
)


flightgear_component(Traffic "${SOURCES}" "${HEADERS}")
